//metoda potenca_pocasna se izvede n-krat
  public static double potenca_pocasna(int x, int n){
    // "glavna" metoda, kjer opravimo s priemri, kot je negativni eksponent
    if(n == 0){  //ce ej n enak 0, potem vrni 1
      return 1;
    }
    if(n < 0){  //n negativen, izračunamo x**(-n)
      return 1.0/pomozna_pocasna(x, -n);
    }
    else{  //n pozitiven
      return pomozna_pocasna(x, n);
    }
  }

  private static int pomozna_pocasna(int x, int n){
    // uporabnik naj ima dostop le do glavne metode, zato private!
    if(n == 0){
      return 1;
    }
    return x*pomozna_pocasna(x, n-1);
  }
  private static int pomozna_hitra(int x, int n){
      // uporabnik naj ima dostop le do glavne metode, zato private!
      if(n == 0){
        return 1;
      }
      int naPol = pomozna_hitra(x, n/2);
      if (n % 2 == 0) return naPol * naPol; // pri sodih eksponentih le kvadriramo
      return x * naPol * naPol; // pri lihih eksponentih množimo še z x
}

